import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:flutter_zendesk/flutter_zendesk.dart';

class TestPage extends StatelessWidget {
  initPlugin() async {
    Map<String, String> param = {
      "appId": "9170618a858d785b471b077a8703212ffd5ed5dedd91d702",
      "clientId": "mobile_sdk_client_6a51b96989ce5cd6be0d",
      "url": "https://nowappstech.zendesk.com",
    };
    try {
      String result = await FlutterZendesk.initiateZendesk(params: Map.from(param));
      if (result != null) {
        print("Platform Result $result");
      }
    } on PlatformException {
      print('Failed to initiate zendesk.');
    }
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Test"),
      ),
      body: Container(),
      floatingActionButton: FloatingActionButton(
        child: Icon(Icons.headset_mic),
        onPressed: initPlugin,
      ),
    );
  }
}
